%define up_name		Aegisub

%define date		20160730
%if %{date}
%define release		%mkrel 14.git%{date}.%{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		10422265311494278928dcd2a7a084e4811bcf0d
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

%define rel		7

Name:		aegisub
Version:	3.2.2
Release:	%{release}
Summary:	Advanced Subtitle Editor
Group:		Video/Editors and Converters
License:	BSD
URL:		http://www.aegisub.org/
Source0:	https://github.com/Aegisub/Aegisub/archive/%{tarballdir}/%{up_name}-%{version}%{?tarballgit}.tar.gz
### Only needed if using a git snapshot (git_version.h)
Source1:	git_version.h
Patch0:		0001-Add-missing-AM_GNU_GETTEXT_VERSION-macro.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	boost-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	wxgtk3.0-devel
# std:exception_ptr does not exist on ARMv5
#ExcludeArch:	armv5tl

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%setup -q -n %{up_name}-%{tarballver}
%autopatch -p1
### Only needed if using a git snapshot (git_version.h)
cp %{SOURCE1} build/

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
		--without-oss \
		--without-openal \
		--with-player-audio=PulseAudio \
		--with-wx-config=wx-config-3.0 \
		--with-build-credit=%{_vendor} \
		--disable-update-checker
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc automation/demos/ automation/v4-docs/
%license LICENCE
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Jun 03 2017 akien <akien> 3.2.2-14.git20160730.7.mga6
+ Revision: 1106080
- Rebuild for wxgtk 3.0.3.1

* Wed Mar 29 2017 neoclust <neoclust> 3.2.2-14.git20160730.6.mga6
+ Revision: 1095174
- Try to build on armv5

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 3.2.2-14.git20160730.5.mga6
+ Revision: 1093083
- Rebuild for icu-58.2

* Tue Jan 10 2017 luigiwalser <luigiwalser> 3.2.2-14.git20160730.4.mga6
+ Revision: 1080915
- rebuild for libass

* Tue Oct 25 2016 daviddavid <daviddavid> 3.2.2-14.git20160730.3.mga6
+ Revision: 1063489
- new snapshot: 3.2.2-git20160730
  * commit: 10422265311494278928dcd2a7a084e4811bcf0d

* Thu Jun 02 2016 daviddavid <daviddavid> 3.2.2-14.git20160518.2.mga6
+ Revision: 1019800
- rebuild for wxgtk3.0 built with GTK2

* Fri May 20 2016 daviddavid <daviddavid> 3.2.2-14.git20160518.1.mga6
+ Revision: 1017170
- new snapshot: 3.2.2-git20160518
  * commit: b118fe7e7a5c37540e2f0aa75af105e272bad234
- add an upstream patch to fix missing AM_GNU_GETTEXT_VERSION macro
- add BR pkgconfig(uchardet)

* Fri May 13 2016 shlomif <shlomif> 3.2.2-13.mga6
+ Revision: 1014872
- Rebuild for new ICU

* Thu Apr 21 2016 tv <tv> 3.2.2-12.mga6
+ Revision: 1004213
- rebuid for libhunspell 1.4

* Thu Jan 14 2016 pterjan <pterjan> 3.2.2-11.mga6
+ Revision: 922915
- Disable on ARMv5

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.2.2-10.mga6
+ Revision: 917816
- rebuild for icu

* Fri Dec 25 2015 daviddavid <daviddavid> 3.2.2-9.mga6
+ Revision: 914607
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 3.2.2-8.mga6
+ Revision: 883443
- rebuild for new boost 1.59.0
- introduce license macro

* Sun Sep 06 2015 daviddavid <daviddavid> 3.2.2-7.mga6
+ Revision: 873233
- rebuild with gcc 5.2.1

* Fri Aug 14 2015 ycantin <ycantin> 3.2.2-6.mga6
+ Revision: 864689
- rebuild for new wxgtk built with wxRE_ADVANCED

* Fri Jul 31 2015 daviddavid <daviddavid> 3.2.2-5.mga6
+ Revision: 859482
- rebuild for new boost-1.58.0

* Sat Jul 25 2015 daviddavid <daviddavid> 3.2.2-4.mga6
+ Revision: 857246
- rebuild for icu 55

* Wed Jul 22 2015 daviddavid <daviddavid> 3.2.2-3.mga6
+ Revision: 856205
- rebuild for new wxgtk built with gtk3

* Sat Jun 20 2015 daviddavid <daviddavid> 3.2.2-2.mga6
+ Revision: 836933
- rebuild for new ffms2

* Thu Dec 11 2014 daviddavid <daviddavid> 3.2.2-1.mga5
+ Revision: 802755
- new version: 3.2.2

* Sun Oct 19 2014 daviddavid <daviddavid> 3.2.1-1.mga5
+ Revision: 791892
- new version: 3.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 750322
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 677705
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 3.2.0-2.mga5
+ Revision: 666026
- bump release

* Mon Aug 04 2014 daviddavid <daviddavid> 3.2.0-1.mga5
+ Revision: 659670
- switch to latest version of lua5.2 as it is now supported
- remove unneeded FIXME for correct assignment of rights of desktop file as it is now fixed upstream
- new version: 3.2.0

* Fri Apr 11 2014 daviddavid <daviddavid> 3.1.3-1.mga5
+ Revision: 613500
- remove unneeded BR
- new version: 3.1.3

* Mon Apr 07 2014 daviddavid <daviddavid> 3.1.2-1.mga5
+ Revision: 612680
- imported package aegisub

